#### Description:

A GrismMap is a specialised form of Mapping which transforms 1-dimensional coordinates using the spectral dispersion equation described in FITS-WCS paper III `"` Representation of spectral coordinates in FITS`"` . This describes the dispersion produced by gratings, prisms and grisms.

When initially created, the forward transformation of a GrismMap transforms input `"` grism parameter`"` values into output wavelength values. The `"` grism parameter`"` is a dimensionless value which is linearly related to position on the detector. It is defined in FITS-WCS paper III as `"` the offset on the detector from the point of intersection of the camera axis, measured in units of the effective local length`"` . The units in which wavelength values are expected or returned is determined by the values supplied for the GrismWaveR, GrismNRP and GrismG attribute: whatever units are used for these attributes will also be used for the wavelength values.

#### Constructor Function

astGrismMap

#### Inheritance

The GrismMap class inherits from the Mapping class.

#### Attributes

In addition to those attributes common to all Mappings, every GrismMap also has the following attributes:

- GrismNR: The refractive index at the reference wavelength

- GrismNRP: Rate of change of refractive index with wavelength

- GrismWaveR: The reference wavelength

- GrismAlpha: The angle of incidence of the incoming light

- GrismG: The grating ruling density

- GrismM: The interference order

- GrismEps: The angle between the normal and the dispersion plane

- GrismTheta: Angle between normal to detector plane and reference ray

#### Functions

The GrismMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory